stof_doctrine_extensions:
  default_locale: "%locale%"
  translation_fallback: true
  persist_default_translation: true

  # Only used if you activated the Uploadable extension
  uploadable:
    #stof_doctrine_extensions.uploadable.validate_writable_directory
    validate_writable_directory: true

    # Default file path: This is one of the three ways you can configure the path for the Uploadable extension
    default_file_path:       "%kernel.root_dir%/../web/uploads"

    # Mime type guesser class: Optional. By default, we provide an adapter for the one present in the HttpFoundation component of Symfony
    mime_type_guesser_class: Stof\DoctrineExtensionsBundle\Uploadable\MimeTypeGuesserAdapter

    # Default file info class implementing FileInfoInterface: Optional. By default we provide a class which is prepared to receive an UploadedFile instance.
    default_file_info_class: Stof\DoctrineExtensionsBundle\Uploadable\UploadedFileInfo
  orm:
    default:
      loggable: true
      softdeleteable: true
      translatable:   true
      blameable:      false
      timestampable:  true
      tree:           true
      uploadable:     false
      sluggable:      true
